Name: libidn2
Version: 2.3.0
License: LGPL-3.0-or-later
Release: 4
Summary: Library to support IDNA2008 internationalized domain names
URL: https://www.gnu.org/software/libidn/
Source0: https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-tools
BuildRequires: libiconv-devel
BuildRequires: pkg-config

%description
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package -n libidn2-0
License: LGPL-3.0-or-later
Summary: Library to support IDNA2008 internationalized domain names
Conflicts: libidn2
Obsoletes: libidn2

%description -n libidn2-0
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package -n idn2
License: GPL-3.0-or-later
Summary: IDNA2008 internationalized domain names conversion tool

%description -n idn2
The idn2 package contains the idn2 command line tool for testing
IDNA2008 conversions.

%package devel
Summary: Development files for libidn2
Requires: libidn2-0 = %{version}-%{release}

%description devel
The libidn2-devel package contains libraries and header files for
developing applications that use libidn2.

%prep
%setup -q

%build

autoreconf -fiv

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared=yes \
  --enable-static=no \
  #end

%make_build

%check
make -C tests check

%install
%make_install

%files -n libidn2-0
%defattr(-, qsys, *none)
%license COPYING COPYING.LESSERv3 COPYING.unicode
%doc AUTHORS NEWS README.md
%{_libdir}/%{name}.so.0

%files -n idn2
%defattr(-, qsys, *none)
%license COPYING
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*
%{_infodir}/%{name}.info*

%files devel
%defattr(-, qsys, *none)
%doc doc/%{name}.html examples
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
%{_mandir}/man3/*
%{_datadir}/gtk-doc/html/libidn2

%changelog
* Mon Sep 26 2022 Kevin Adler <kadler@us.ibm.com> - 2.3.0
- Prevent installation conflict on gtk-docs directory

* Fri May 28 2021 Xu Meng <mengxumx@cn.ibm.com> - 2.3.0
- Make libidn2 obsolete Seiden version

* Mon Apr 12 2021 Xu Meng <mengxumx@cn.ibm.com> - 2.3.0
- Initial package
